curl -X GET 'https://api.example.com/environments/tenant/tenant_acme' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"tenantId": "tenant_acme",
"projectId": "project_api",
"scopeId": "scope_env_prod",
"name": "Production"
},
{
"id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"tenantId": "tenant_acme",
"projectId": "project_api",
"scopeId": "scope_env_staging",
"name": "Staging"
}
]
Environments
List Environments by Tenant
List all environments in a tenant
GET
/
environments
/
tenant
/
{tenantId}
curl -X GET 'https://api.example.com/environments/tenant/tenant_acme' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"tenantId": "tenant_acme",
"projectId": "project_api",
"scopeId": "scope_env_prod",
"name": "Production"
},
{
"id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"tenantId": "tenant_acme",
"projectId": "project_api",
"scopeId": "scope_env_staging",
"name": "Staging"
}
]
Path Parameters
string
required
The tenant ID
Environments can also be listed by project:
GET /environments/project/{projectId}.Response
Returns an array of environment objects.curl -X GET 'https://api.example.com/environments/tenant/tenant_acme' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"tenantId": "tenant_acme",
"projectId": "project_api",
"scopeId": "scope_env_prod",
"name": "Production"
},
{
"id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"tenantId": "tenant_acme",
"projectId": "project_api",
"scopeId": "scope_env_staging",
"name": "Staging"
}
]
Was this page helpful?
⌘I